@import url('https://fonts.googleapis.com/css2?family=Orbitron&display=swap'); /* Orbitron 폰트 */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400&display=swap'); /* Lato 폰트 */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    height: 100%;
    width: 100%;
}

body {
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    background: linear-gradient(45deg,  #2a2730 0%,#474958 49%,#2a2730 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    margin: 0;
    padding: 0;
}

.calculator {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border: 4px solid #2A2730;
    background-color: #2A2730;
    border-radius: 10px;
    height: 600px;
    width: 400px;
    gap: 5px;
    padding: 5px;
    font-family: 'Press Start 2P', cursive;
    box-shadow: 4px 6px rgba(0, 0, 0, 0.1), -4px -4px 6px rgba(255, 255, 255, 0.1);
}

.header {
    display: flex;
    gap: 8px;
    align-self: flex-start;
}

.header-btn {  
    width: 16px;
    height: 16px;
    border-radius: 10px;
    border: none;
    justify-content: center;
    align-items: center;
    position: relative;
    display: flex;
    color: transparent; 
    overflow: hidden;
    cursor: pointer;
    box-shadow: -4px -6px rgba(0, 0, 0, 0.1), -4px -4px 6px rgba(255, 255, 255, 0.1);
}

.red {
    background-color: rgb(255, 88, 88);
}

.orange {
    background-color: rgb(255, 234, 73);
}

.green {
    background-color: rgb(113, 255, 113);
}

.header-btn::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 13px;
    font-weight: 900;
    color: #2a2730;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
    pointer-events: none;
}

.red:hover::before {
    content: 'x'; 
    opacity: 1; 
}

.orange:hover::before {
    content: 'ㅡ'; 
    opacity: 1;
}

.green:hover::before {
    content: 'ㅁ'; 
    opacity: 1;
}

.zero {
    grid-column: span 2;
}

.display {
    display: flex;
    width: 100%;
    height: 25%;
    margin: 0;
    padding-right: 10px;
    justify-content: flex-end;
    text-align: right;
    font-size: 30px;
    font-family: 'Orbitron', sans-serif;
    background: linear-gradient(145deg, #d5a6fc, #9c64fd);
}

.delete {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    height: 10%;
    font-size: 40px;
    align-items: center;
    padding-bottom: 8px;
    padding-right: 10px;
    margin: 0;
    color: white;
    background-color: #2A2730;
}
.buttons {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5px;
    width: 100%;
    height: 100%;
    margin: 0;
}

.button {
    font-size: 34px;
    border-radius: 15px;
    color: whitesmoke;
    font-family: 'Lato', sans-serif;
    background: linear-gradient(145deg, #2A2730, #524d59);
    box-shadow: 4px 6px rgba(0, 0, 0, 0.1), -4px -4px 6px rgba(255, 255, 255, 0.1);
}

.button:hover {
    background: linear-gradient(145deg, #d5a6fc, #9c64fd);
    background: linear-gradient(145deg, #6e3ab0, #4b2e94);
}

.button:active {    
    transform: scale(0.95);
    background: linear-gradient(145deg, #d5a6fc, #9c64fd);
}

